' Licensed Materials - Property of IBM
'
' (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
'
' US Government Users Restricted Rights - Use, duplicate or
' disclosure restricted by GSA ADP Schedule Contract with
' IBM Corp.
' IBM_COPYRIGHT_END

'  
' ============================================================================ 

TempDirDrv = WScript.Arguments.Item(0)
ReqTempSpaceMB = WScript.Arguments.Item(1)

Set fsObj = CreateObject("Scripting.FileSystemObject")
Set drv = fsObj.GetDrive(TempDirDrv)
drvSpaceTemp = FormatNumber((drv.AvailableSpace/1024)/1024, 0)
If Int(drvSpaceTemp) < Int(ReqTempSpaceMB) Then
	WScript.StdOut.WriteLine( "Failed: Required space on " & TempDirDrv & " is " & ReqTempSpaceMB & "MB - Available " & drvSpaceTemp & "MB" )
End If
fsObj.DeleteFile(WScript.ScriptFullName)
WScript.Quit(0)
