# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#  
# ======================================================================= 


function TIOlog {
  LEVEL=$1
  MESSAGE=$2
  MESSAGE=`echo "$MESSAGE" | sed -e 's/\&/\&amp\;/g; s/%/\&#37\;/g; s/"/\&quot\;/g; s/</\&lt\;/g; s/>/\&gt\;/g; s/\\\/\\\\\\\/g'`
  printf "<tio><log level=\"$LEVEL\">$MESSAGE</log></tio>"
}

fileName=$1
filePath=$2
newFileName=$3
newFilePath=$4

cd ${filePath}
[ ! -s ${fileName} ] &&{
	echo "The file does not exist at the following path:  ${filePath}/${fileName}" 1>&2
	exit 1
}
  
OUTPUT=`mv ${filePath}/${fileName} ${newFilePath}/${newFileName}`
test $? != 0 && {
	echo "${OUTPUT}" 1>&2
	exit 1
}

TIOlog info "$OUTPUT"
exit 0
