#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#  
# ======================================================================= 

fileName=$1
filePath=$2
content=$3

cd ${filePath}
[ ! -s ${fileName} ] &&{
	echo "The file does not exist at the following path:  ${filePath}/${fileName}" 1>&2
  	exit 1
}

mv ${fileName} ${fileName}.backup
echo $content > $filePath/$fileName; cat $fileName.backup >> $filePath/$fileName
test $? != 0 && {
	exit 1
}

exit 0
