#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2003, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#
# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2009
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

#
# We need to set the tivoli runtime environment variables first.
#

if [ $# -ne 1 ]
then
{
    echo "Usage:: getPath SourcePath"
    exit 99
}
fi

OS_TYPE=`uname | cut -f 1 -d -`
SourcePath=$1

if [ "$OS_TYPE" = "CYGWIN_NT" ]
then
    cygpath -m "$SourcePath"|tr -d "\\n\\r"
else
    newdir=`echo "$SourcePath" | sed 's/\\\\/\//g'`
    echo $newdir|tr -d "\\n\\r"
fi
    


