' Licensed Materials - Property of IBM
'
' (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
'
' US Government Users Restricted Rights - Use, duplicate or
' disclosure restricted by GSA ADP Schedule Contract with
' IBM Corp.
' IBM_COPYRIGHT_END


'  
' ============================================================================ 

Set args = WScript.Arguments
filePath = args(1)

Dim oFSO : Set oFSO = CreateObject("Scripting.FileSystemObject")

If (oFSO.FolderExists(filePath)) Then
  WScript.Echo "The directory already exists"
  WScript.Quit 1
End If

If (oFSO.FileExists(filePath)) Then
  WScript.Echo "There is a file with such name"
  WScript.Quit 1
End If

' Divide path into components and create those which are missing
Dim regEx, Match, Matches
Set regEx = New RegExp
regEx.Pattern = "\\"
regEx.IgnoreCase = True
regEx.Global = True
Set Matches = regEx.Execute(filePath)
For Each Match in Matches
	p = Left(filePath, Match.FirstIndex)
	If (not oFSO.FolderExists(p)) Then
		oFSO.CreateFolder(p)
	End If
Next

oFSO.CreateFolder(filePath)
WScript.Quit 0