' Licensed Materials - Property of IBM
'
' (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
'
' US Government Users Restricted Rights - Use, duplicate or
' disclosure restricted by GSA ADP Schedule Contract with
' IBM Corp.
' IBM_COPYRIGHT_END


'  
' ============================================================================ 

'  filename: tio.vbs

Function ReplaceChars(RESULT)
     Dim lookFor(6), repLace(6)
     lookFor(0) = "&"
     lookFor(1) = "%"
     lookFor(2) = """"
     lookFor(3) = "<"
     lookFor(4) = ">"
     lookFor(5) = "\\"
     repLace(0) = "&amp;"
     repLace(1) = "&#37;"
     repLace(2) = "&quot;"
     repLace(3) = "&lt;"
     repLace(4) = "&gt;"
     repLace(5) = "\\\\\\"

     set objRE = new RegExp
     objRE.Global = True
     objRE.IgnoreCase = True
     objRE.MultiLine = True

     For i = 0 To Ubound(lookFor)-1 Step 1
          objRE.pattern = lookFor(i)
          replaceString = repLace(i)
          RESULT = objRE.Replace(RESULT, replaceString)
     Next
     ReplaceChars = RESULT
End Function


Function TIOsetVar (VARIABLE, VALUE)
  VALUE = ReplaceChars(VALUE)
  WScript.Echo "<tio><setvar var=""" & VARIABLE & """>" & VALUE & "</setvar></tio>"
End Function

Function TIOthrow (EXCEPTION, MESSAGE)
  MESSAGE = ReplaceChars(MESSAGE)
  WScript.Echo "<tio><throw exception=""" & EXCEPTION & """>" & MESSAGE & "</throw></tio>"
End Function

Function TIOlog (LEVEL, MESSAGE)
  MESSAGE = ReplaceChars(MESSAGE)
  WScript.Echo "<tio><log level=""" & LEVEL & """>" & MESSAGE & "</log></tio>"
End Function
